@garyrussell garyrussell released this Sep 13, 2017 · 53 commits to master since this release

Assets 2

Spring Cloud Stream Ditmars.RC1 Release Notes

Release Train Components and Versions

Component Version
Spring Cloud Stream Core 1.3.0.RC1
Spring Cloud Stream Binder Rabbit 1.3.0.RC1
Spring Cloud Stream Binder Kafka 1.3.0.RC1

Spring Boot compatibility

This release requires Spring Boot 1.5.7 or a later 1.5.x release. It is not compatible with Spring Boot 2.x.

Spring Cloud integration

This release will also part be of the Spring Cloud Edgware.M1 release train.

Middleware compatibility

  • RabbitMQ: See Spring AMQP 1.7.4 reference documentation for details
  • Apache Kafka: 0.10.1 with default dependency set, as well as 0.10.2 via client library override - see reference documentation for details
  • While strictly not part of the release train, spring-cloud-stream-binder-kafka11-1.3.0.RC1.jar and spring-cloud-stream-binder-kstream11-1.3.0.RC1.jar are also available for compatibility with Apache Kafka: 0.11.0.0. Use the same technique as above to override to use this version.

Issues resolved since Ditmars.M2

Spring Cloud Stream Core

Resolved issues

Spring Cloud Stream Binder Rabbit

Resolved issues

Spring Cloud Stream Binder Kafka

Resolved issues